/*
 * distromatic - tool for RPM based repositories
 *
 * Copyright (C) 2004-2007 by Silvan Calarco <silvan.calarco@mambasoft.it>
 * Copyright (C) 2006 by Davide Madrisan <davide.madrisan@gmail.com>
 */

#ifndef DISTROMATIC_H
#define DISTROMATIC_H

#include "globaldefs.h"
#include "headerlist.h"

struct configDefaults {
     char *html_basedir;
     char *distribution_name;
     char *url_address;
     char *url_prefix;
     char *url_dir;
     char *arch[ARCHS_MAX];
};

struct configTag {
     struct configDefaults *configdefaults;
     char *tag;
     char *description;
     char *repository_dir;
     char *repository_source_dir;
     struct configTag *repository[ALT_REPS_MAX+1];
     int repository_level;
     char *html_dir;
     char *download_prefix;
     char *download_dir;
     char *showfile_prefix;
     char *arch[ARCHS_MAX];
     struct headerList *headerlist[ARCHS_MAX];
     struct headerSourceList *headersourcelist;
     struct providedList *providedlist_idx[ARCHS_MAX][PROVIDEDLIST_IDX_SIZE];
     struct fileTree *filetree[ARCHS_MAX];
     struct headerStats stats;
     struct configTag *next;
};

#endif
