/*
 * distromatic - tool for RPM based repositories
 *
 * Copyright (C) 2004-2007 by Silvan Calarco <silvan.calarco@mambasoft.it>
 * Copyright (C) 2006 by Davide Madrisan <davide.madrisan@gmail.com>
 */

#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#define HDSIZE 16
#define SSSIZE 16

typedef char humanDate[HDSIZE];
typedef char sizeString[SSSIZE];

#define LOG_NORMAL  0
#define LOG_WARNING 1
#define LOG_ERROR 2
#define LOG_DEBUG 4
#define LOG_MARK 8

char **dupnargv(char **argv, int count);
void *memndup(void *memp, size_t size);
void log_debug_set(int value);
void logmsg(int level, const char *msg, ...);
char *strip_separators(char *st, const char *sepstr);
humanDate *
simpleTimeToTemplate(long calendartime, const char* template, humanDate * strdate);
humanDate *simpleTimeToHuman(long calendartime, humanDate * strdate);
char *humanSize(long long sbytes, sizeString *s);
void fprintf_depstable_filtered_var(FILE* f,char* st);
char *htmlclean(char *source,char *dest,unsigned int max);
char *htmlcleanNoBr(char *source,char *dest,unsigned int max);
int scansdir(const char *dir, struct dirent ***namelist,
            int (*select)(const struct dirent *),
            int (*compar)(const struct dirent **, const struct dirent **));

#endif                          /* FUNCTIONS_H */
