/*
 * distromatic - tool for RPM based repositories
 *
 * Copyright (C) 2004-2007 by Silvan Calarco <silvan.calarco@mambasoft.it>
 * Copyright (C) 2006 by Davide Madrisan <davide.madrisan@gmail.com>
 */

#ifndef RPMFUNCTIONS_H
#define RPMFUNCTIONS_H

#ifndef H_RPMLIB
# include <rpm/rpmlib.h>
#endif

#include "headerlist.h"

#define HEADERS_BUFFER_SIZE 2000000

unsigned int checkVersionWithFlags(const char* cmp1, const uint_32 flags, const char* cmp2);

void rpminit(void);

//int myHeaderGetEntry(Header h, int_32 tag, int *type, void** p, int *c);

char *headerGetStringEntry(Header h, const int tag);

char **headerGetStringArrayEntry(Header h, const int tag, int* count);

long long headerGetUIntEntry(Header h, const int tag);

void *headerGetUIntArrayEntry(Header h, const int tag, int *count);

int getHeader(char *headerFile, Header * h);

int getPackageRequires(
     Header h, char ***requirename, uint_32 **requireflags,
     char ***requireversion, int *requirecount);

int getPackageProvides(
     Header h, char ***providename, uint_32 **provideflags,
     char ***provideversion, int *providecount);

int getPackageObsoletes(
     Header h, char ***obsoletename, uint_32 **obsoleteflags,
     char ***obsoleteversion, int *obsoletecount);

int getPackageFilenames(
     Header h, int **dirindexes,
     char ***dirnames, int *dirnamescount,
     char ***basenames, int *filenamescount);

int rpmnamecmp(char *filename1, char *filename2, int checkver);

int scanrpmnamecmp(const struct dirent **f1, const struct dirent **f2);

char* printrpmversion(char *s, int bufsize, long epoch, char *version, char *release);

#endif                          // RPMFUNCTIONS_H
